2018-04-20 11:30 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002785OpenFOAM[All Projects] Bugpublic2017-12-13 12:44
Reporterarahamz 
Assigned Tohenry 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformGNU/LinuxOSUbuntuOS Version12.04
Product Version5.0 
Target VersionFixed in Version5.x 
Summary0002785: compressibleInterFoam issue with transonic option and mass conservation
DescriptioncompressibleInterFoam doesn't work with the "transonic" option on. It gives an error message as:

incompatible dimensions for operation
    [p_rgh[1 -3 -1 0 0 0 0] ] + [p_rgh[0 0 -1 0 0 0 0] ]

Also, I have used the solver to model rebound and collapse of a single bubble and I believe that it still doesn't conserve mass accurately (like previous OF releases).
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009142

henry (manager)

> compressibleInterFoam doesn't work with the "transonic" option on

The transonic option is out of date and not tested. I will update it now and run the tutorials with it and push into OpenFOAM-dev.

> Also, I have used the solver to model rebound and collapse of a single bubble and I believe that it still doesn't conserve mass accurately

Mass should be conserved if the pressure/phase-fraction loop converges which is not guaranteed. Have you formulated any methods which would guarantee formal mass conservation even if the equation coupling does not converge?

~0009143

henry (manager)

This is now fixed in OpenFOAM-dev: commit 862fa9e10674d63383a03b2499f53d015443c97c

Please test and if it works for your cases I will make the same changes to OpenFOAM-5.x.

~0009150

arahamz (reporter)

Hi Henry, thank you very much. However, I have just tested the updated version with the transonic option (the only difference was in the pressure equation?) and I got this error message:

cannot scale a matrix containing a faceFluxCorrection

Regarding the mass conservation issue, I have noticed that the solver is working much better in OF5 in comparison to the previous version but it needs a very small Co number for challenging problems like bubble collapse. Also, I have been trying to evaluate the solver against the Rayleigh–Plesset equation (for a bubble rebound problem) but it hasn’t been able to predict the maximum rebound radius of the bubble with an acceptable accuracy. I will run the simulation on a larger domain to see if there is any problem with the pressure boundary condition.

~0009151

henry (manager)

From the error message it appears that you have not recompiled everything affected by the changes in the commit.

~0009152

arahamz (reporter)

Yes, I have recompiled everything and it is now working with the transonic option (I think the issue was with fvMatrices).

~0009154

henry (manager)

Resolved in OpenFOAM-dev by commit 862fa9e10674d63383a03b2499f53d015443c97c

Resolved in OpenFOAM-5.x by commit 73d878406f6bfb877fbff9206aa449b9cb753f58
+Notes

-Issue History
Date Modified Username Field Change
2017-12-09 18:47 arahamz New Issue
2017-12-09 20:07 henry Note Added: 0009142
2017-12-09 21:05 henry Note Added: 0009143
2017-12-13 10:10 arahamz Note Added: 0009150
2017-12-13 10:21 henry Note Added: 0009151
2017-12-13 12:21 arahamz Note Added: 0009152
2017-12-13 12:39 arahamz File Added: BubbleReb.tar.gz
2017-12-13 12:44 henry Assigned To => henry
2017-12-13 12:44 henry Status new => resolved
2017-12-13 12:44 henry Resolution open => fixed
2017-12-13 12:44 henry Fixed in Version => 5.x
2017-12-13 12:44 henry Note Added: 0009154
+Issue History